Subject: [TR] TR4A trailing arms

From: Anthony Rhodes <[email-masked]>
Date: Thu, 4 Oct 2018 09:31:06 -0400

I am looking to buy a pair of trailing arms for a TR4A.  My studs are in bad shape and I am looking for replacement arms with decent studs.  I will likely fit the Goodparts axles with 3/8" studs so the studs themselves currently in the replacement arms are not critical.  The aluminum of the trailing arms does need to be in good shape.  

Does anyone know of some trailing arms that I can buy!

-Tony

Sent from my 1837 Babbage Analytical Engine
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive